<?php use_helper('UrlFunctions'); ?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php
if(myUser::getUser()->getIdPadre() == '1' || myUser::getUser()->getRoleId() == "sys.ope") {
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }else{
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

 if($idAdministrador){
 
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	
	$IdSucursal = $a_o_sucursal[0]->getIdSucursal();
	
 }
$o_BalanceDia = new BalanceDiaBean();
$o_BalanceDia->setIdSucursal($IdSucursal);
	
$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
$fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();


if($control){//cuando se hizo el submit
    
	//echo "eee*-*-*-*-*";
    $o_PrestamoBean = new PrestamoBean();
    $o_PrestamoBean->setIdPrestamo($id);
    $o_PrestamoBean->setEstado('C');
    $o_PrestamoBean->setFechaCancelacion(date("Y-m-d H:i:s"));
    $o_PrestamoBean->setObservacion("Cancelado por moroso:".$txtObservacion);
    $o_PrestamoBean->setFechaModificacion(date("Y-m-d H:i:s"));
  	$o_PrestamoBean->setUsuarioModificacion(myUser::getUser()->getUserId());
      	 
	$o_PrestamoBL = new PrestamoBL();
	$bResult = $o_PrestamoBL->modificarPrestamo($o_PrestamoBean);
    
    if($bResult){
    ?>
       <script>
        parent.buscarahora();
        parent.objMainTab.windowsCloseAll();
      </script>
    <?
    exit;
    }
}


 if($id){

 	
 	
	$o_PrestamoBean = new PrestamoBean();
	$o_PrestamoBean->setIdPrestamo($id);
	$o_class = new PrestamoBL();
	$a_ObjectBean = $o_class->busquedaPrestamo($o_PrestamoBean);
	
	$o_PagoBean = new PagoBean();
	$o_PagoBean->setIdPrestamo($id);
	$o_PagoBL = new PagoBL();
	$a_o_pago = $o_PagoBL->busquedaPago($o_PagoBean);
	$totalPago = 0;
	if(is_array($a_o_pago)){
		foreach ($a_o_pago as $key => $o_pago){
			$totalPago = $o_pago->getMontoPago();
		}
	}
}


if(is_array($a_ObjectBean)){
  while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
  	
  	$o_ClienteBean = new ClienteBean();
	$o_ClienteBean->setIdCliente($o_ObjectBean->getIdCliente());
	$o_class = new ClienteBL();
	$a_ObjectCliente = $o_class->busquedaCliente($o_ClienteBean);
	
	while(list($keyCli,$o_ObjectBeanCli) = each($a_ObjectCliente)){
		$Nombre = $o_ObjectBeanCli->getNombreCompleto();		
		$o_MercadoBean = new MercadoBean();
		$o_MercadoBean->setIdMercado($o_ObjectBeanCli->getIdMercado());
		$o_class = new MercadoBL();
		$ObjectBean = $o_class->busquedaMercado($o_MercadoBean);
		
		$NombreMercado = $ObjectBean[0]->getDescripcion();
	}
	  	
?>

<img src="/images/common/spacer.gif" width="10">
 <table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Prestamo <?php echo $id;?></li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Cancelar Prestamo con Mora</I></span> [Saldo : <?=$o_ObjectBean->getSaldoPrestamo()?>]</td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
        <table hspace="20px" class="marco" width="99%" style="background: #E3E9E2">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0">
			    <tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos del Cliente</I></legend>
    					 <table width="100%" border="0" cellspacing="4" cellpadding="0">
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Nombre </label></td>
								<td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label"><?php echo $Nombre?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Mercado</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label"><?php echo strtoupper($NombreMercado)?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
							  </tr>
						</table>
    					</fieldset>				
    				</td>
                </tr>
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos del Prestamo</I></legend>
    					 <table width="100%" border="0" cellspacing="3" cellpadding="0">
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label req" for="FechaInicial" >Fecha de Inicio</label></td>
								 <td nowrap="nowrap">&nbsp;:&nbsp;<label><?php echo $o_ObjectBean->getFechaInicio();?></label></td> 
								 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								 <td nowrap="nowrap" width="12%" class="cabecera"><label class="label req" for="FechaFinal" >Fecha Final</label></td>
								 <td width="38%" nowrap="nowrap">&nbsp;:&nbsp;<label><?php echo $o_ObjectBean->getFechaVencimiento();?></labe></td>
							   </tr>
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Capital</label></td>
								<td width="38%" nowrap="nowrap">&nbsp;:&nbsp;<label class="label req" for="txtRev" ><?php echo $o_ObjectBean->getMontoPrestado();?></label></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Interes(%)</label></td>
								
								<td nowrap="nowrap">&nbsp;:&nbsp;<label class="label req" for="txtRev" ><?php echo $o_ObjectBean->getInteresPorcentaje()."%"?></label>
								</td>
								
							  </tr>
							  <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Monto Total</label></td>
								<td width="38%" nowrap="nowrap">&nbsp;:&nbsp;<label class="label req" for="txtRev" ><?php echo $o_ObjectBean->getMontoTotal();?></label></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtGastoAdministrativo" >Gasto Admin.</label></td>
								<td width="38%" nowrap="nowrap">&nbsp;:&nbsp;<label class="label req" for="txtRev" ><?php echo $o_ObjectBean->getGastoAdministrativo();?></label></td>
								
							  </tr>
							  
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtOrigen" >Tipo Prestamo</label></td>
								<td nowrap="nowrap" >&nbsp;:&nbsp;<label class="label req" for="txtOrigen" >
							  		<?php  if($o_ObjectBean->getOrigen() == 'R') echo "Renovado"?>
									<?php  if($o_ObjectBean->getOrigen() == 'F') echo "Refinanciado"?></label>
								</td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Forma Pago</label></td>
								 <td nowrap="nowrap" >&nbsp;:&nbsp;<label class="label req" for="txtRev" >
							  			<?php  if($o_ObjectBean->getPeriodicidadPago() == 'D') echo "Diario";?>
									  	<?php  if($o_ObjectBean->getPeriodicidadPago() == 'S') echo "Semanal";?>
									 	<?php  if($o_ObjectBean->getPeriodicidadPago() == 'Q') echo "Quincenal";?>
									  	<?php  if($o_ObjectBean->getPeriodicidadPago() == 'M') echo "Mensual";?>
							  		</label>
								</td>
								
							   </tr>
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Saldo Mora</label></td>
								<td nowrap="nowrap" >&nbsp;:&nbsp;<label class="label req" for="txtRev" >
								    <?php echo $o_ObjectBean->getSaldoMora();?></label>
								</td> 
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Mora Amortizada</label></td>
								<td nowrap="nowrap" >&nbsp;:&nbsp;<label class="label req" for="txtRev" >
								    <?php echo $o_ObjectBean->getMoraAmortizada();?></label>
								</td>
							  </tr>
							  <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Duraci&oacute;n </label></td>
								<td nowrap="nowrap" >&nbsp;:&nbsp;<label class="label req" for="txtRev" >
								    <?php echo $o_ObjectBean->getDuracion();?></label>
								</td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Estado</label></td>
								<td nowrap="nowrap" >&nbsp;:&nbsp;
									<?php if($o_ObjectBean->getEstado() == 'P') echo "Pendiente"; ?>
									<?php if($o_ObjectBean->getEstado() == 'C') echo "Cancelado"; ?>
								</td>
								
								
							  </tr>
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtObservacion">Comentario</label></td>
								<td nowrap="nowrap" colspan="3">&nbsp;&nbsp;<input  type="text" name="txtObservacion" class="text" id="txtObservacion" maxlength="300" size="40"></td>
								
							  </tr>
						</table>
						 <table width="100%" border="0" cellspacing="0" cellpadding="0">
				  <tr>
					 <td><img src="/images/common/spacer.gif" width="10"></td>
				  </tr>
				  <tr>
					<td align="center">
					  <input type="hidden" name="typeSubmit" id="typeSubmit">
					  <input type="hidden" name="IdMercado" id="IdMercado" value="<?php echo $IdMercado?>">
					  <input type="hidden" name="IdCliente" id="IdCliente" value="<?php echo $idCliente?>">
					  <?php if($o_ObjectBean->getSaldoPrestamo() == 0){?>
					 	 <input class="button" type="submit" value="Cancelar prestamo con mora" onclick="$('typeSubmit').value='list';">
					  <?php }?>
					  
					  <input class="button" type="button" value="Cerrar" onclick="parent.objMainTab.windowsCloseAll();"/>
					</td>
				  </tr>
				  <tr>
					<td height="10">&nbsp;</td>
				  </tr>
				</table>
    					</fieldset>				
    		    </td>
               </tr>
    	     </table>
         </form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
</table><?php
  }
}
//$fecha_ini = '2009-06-15';
//echo $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +15 days'));
?>

